using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;
namespace KuGo.Web.Admin
{
        public partial class SuppliersRead : Page
        {
            
            protected void Page_Load(object sender, EventArgs e){
            if (!Page.IsPostBack){
              if (Request.Params["id"] != null && Request.Params["id"].Trim() != ""){
                string strId = Request.Params["id"];
                
                int id = Convert.ToInt32(strId);
                                   
                ShowInfo(id);
              }
            }
        }

        /// <summary>
        /// 显示一条 数据
        /// </summary>
        /// <param name="SupplierID">主键</param>
        private void ShowInfo(int SupplierID){      
            KuGo.Model.Suppliers model = new KuGo.BLL.SuppliersBLL().GetModel(SupplierID);
            if(model!=null){
              this.SupplierIDLabel.Text = model.SupplierID.ToString();               
              this.CompanyNameLabel.Text = model.CompanyName.ToString();               
              this.ContactNameLabel.Text = model.ContactName.ToString();               
              this.ContactTitleLabel.Text = model.ContactTitle.ToString();               
              this.AddressLabel.Text = model.Address.ToString();               
              this.CityLabel.Text = model.City.ToString();               
              this.RegionLabel.Text = model.Region.ToString();               
              this.PostalCodeLabel.Text = model.PostalCode.ToString();               
              this.CountryLabel.Text = model.Country.ToString();               
              this.PhoneLabel.Text = model.Phone.ToString();               
              this.FaxLabel.Text = model.Fax.ToString();               
              this.HomePageLabel.Text = model.HomePage.ToString();               
              
            }
        }
    }
  }